

require 'test/unit'

log4r_file = ENV['APRS4R_LOG4R'] || "/etc/aprs4r/default.log4r"

print "log4r_file: #{log4r_file}\n"

require 'aprs4r/APRS4RLogger'

APRS4R::APRS4RLogger::load_yaml_file( log4r_file)

require 'aprs4r/tests/APRSMessageTest'
# require 'aprs4r/tests/Base91Test'
require 'aprs4r/tests/BuddyGatewayPluginTest'
require 'aprs4r/tests/DigipeaterPluginTest'
require 'aprs4r/tests/FillinDigipeaterPluginTest'
# require 'aprs4r/tests/ISSocketTest'
require 'aprs4r/tests/MessagePluginTest'
require 'aprs4r/tests/MICEMessageTest'
# require 'aprs4r/tests/OE3MZCDigipeaterPluginTest'
require 'aprs4r/tests/QueryPluginTest'
# require 'aprs4r/tests/SpeechPluginTest'
# require 'aprs4r/tests/SSDigipeaterPluginTest'
# require 'aprs4r/tests/WMRWeatherMessageTest'
